SQL-инъекция в Ruby on Rails

Дата публикации:
03.09.2013
Дата изменения:
03.09.2013
Всего просмотров:
2141
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:6.8/Temporal:5
CVE ID:
CVE-2012-5664
CVE-2012-6497
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Ruby on Rails 2.3.x
Ruby on Rails 3.0.x
Ruby on Rails 3.1.x
Ruby on Rails 3.2.x
Уязвимые версии: Ruby on Rails версии ранее 3.0.18, ранее 3.1.9 и ранее 3.2.10

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных, которые передаются интерфейсу Active Record. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости атакующий должен владеть сессионным токеном.

URL производителя: http://rubyonrails.org/

Решение: Установите версию 3.2.10, 3.1.9 или 3.0.18, или же установите исправление с сайта производителя.

Ссылки: http://groups.google.com/group/rubyonrails-security/t/c2353369fea8c53

или введите имя

CAPTCHA